- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties

# QCheckBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qcheckbox.h.

`#include <qcheckbox.h>`

Inheritance diagram for QCheckBox:
[legend]

List of all members.

## Signals
void | stateChanged (int)
## Public Member Functions
| QCheckBox (QWidget *parent=0)
| QCheckBox (const QString &text, QWidget *parent=0)
QSize | sizeHint () const
void | setTristate (bool y=true)
bool | isTristate () const
Qt::CheckState | checkState () const
void | setCheckState (Qt::CheckState state)
## Protected Member Functions
bool | event (QEvent *e)
bool | hitButton (const QPoint &pos) const
void | checkStateSet ()
void | nextCheckState ()
void | paintEvent (QPaintEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | initStyleOption (QStyleOptionButton *option) const
## Properties
bool | tristate

## Constructor & Destructor Documentation

QCheckBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

QCheckBox | ( | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void setTristate | ( | bool | y = `true` | ) |

Search for all occurrences

bool isTristate | ( |  | ) | const

Search for all occurrences

Qt::CheckState checkState | ( |  | ) | const

Search for all occurrences

void setCheckState | ( | Qt::CheckState | state | ) |

Search for all occurrences

void stateChanged | ( | int |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

bool hitButton | ( | const QPoint & | pos | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void checkStateSet | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void nextCheckState | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractButton.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void initStyleOption | ( | QStyleOptionButton * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

bool tristate `[read, write]`

Search for all occurrences

Definition at line 60 of file qcheckbox.h.

The documentation for this class was generated from the following file:

- QtGui/qcheckbox.h

QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox
QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox QCheckBox